=== debian/changelog ===
ledger (3.2.1-7) unstable; urgency=medium

  * Switch to python3-dev as a build-dep from python3-all-dev. (Closes:
    #973632).

 -- David Bremner <bremner@debian.org>  Wed, 04 Nov 2020 22:29:28 -0400

ledger (3.2.1-6) unstable; urgency=medium

  * Unbreak d/ledger.install. Fixes "Ledger executable not found", thanks
    to Louis-Philippe Véronneau (Closes: #969430).
  * Install documentation

 -- David Bremner <bremner@debian.org>  Wed, 02 Sep 2020 16:26:53 -0300

ledger (3.2.1-5) unstable; urgency=medium

  * Bug fix: "Please provide python3-ledger package", thanks to Brian May
    (Closes: #857335).

 -- David Bremner <bremner@debian.org>  Wed, 19 Aug 2020 10:33:25 -0300

ledger (3.2.1-3) unstable; urgency=medium

  [ Sebastien Bacher ]
  * debian/control:
    - Build-Depends on tzdata <!nocheck>, it's needed for the tests
      (Closes: #968004)

 -- David Bremner <bremner@debian.org>  Thu, 06 Aug 2020 10:51:18 -0300

ledger (3.2.1-2) unstable; urgency=medium

  * Bug fix: "Unversioned Python removal in sid/bullseye", thanks to
    Matthias Klose (Closes: #967156).
  * Bug fix: "ledger deb package should suggest ledger-el", thanks to
    Thierry (Closes: #843112).

 -- David Bremner <bremner@debian.org>  Wed, 05 Aug 2020 07:46:45 -0300

ledger (3.2.1-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop patch for PR 1896, now upstream

 -- David Bremner <bremner@debian.org>  Tue, 26 May 2020 22:25:29 -0300

ledger (3.2.0-1) unstable; urgency=medium

  * New upstream release
  * Apply upstream PR 1896 to add back rpath

 -- David Bremner <bremner@debian.org>  Sat, 09 May 2020 08:04:41 -0300
