=== debian/control ===
Source: ledger
Section: utils
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Uploaders: Matt Palmer <mpalmer@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               dh-python,
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-python-dev,
               libboost-regex-dev,
               libboost-serialization-dev,
               libboost-test-dev,
               libexpat1-dev,
               libgmp3-dev,
               libmpfr-dev,
               libofx-dev,
               libpcre3-dev,
               libutfcpp-dev,
               man2html-base,
               python3-dev,
               texinfo,
               texlive,
               tzdata <!nocheck>
Standards-Version: 4.4.1
Homepage: http://ledger-cli.org
Vcs-Git: https://salsa.debian.org/debian/ledger.git
Vcs-Browser: https://salsa.debian.org/debian/ledger

Package: ledger
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: elpa-ledger, python3-ledger
Description: command-line double-entry accounting program
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.

Package: python3-ledger
Architecture: any
Section: python
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Description: command-line double-entry accounting program (python3 extension)
 Ledger is a powerful and flexible double-entry accounting system run
 entirely from the command line.  Your accounts ledger is stored in one or
 more plain-text files with a very simple and readable format, and ledger
 does the hard work of balancing your books and reporting.
 .
 This package provides the python3 module
