## ledger 3.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,19 +1,20 @@
-cmake_minimum_required(VERSION 2.8.5)
+cmake_minimum_required(VERSION 3.0)
 
 PROJECT(ledger)
 
 set(Ledger_VERSION_MAJOR 3)
-set(Ledger_VERSION_MINOR 2)
-set(Ledger_VERSION_PATCH 1)
+set(Ledger_VERSION_MINOR 3)
+set(Ledger_VERSION_PATCH 0)
 set(Ledger_VERSION_PRERELEASE "")
-set(Ledger_VERSION_DATE  20200518)
+set(Ledger_VERSION_DATE  20230208)
 
 set(Ledger_TEST_TIMEZONE "America/Chicago")
 
 # Point CMake at any custom modules we may ship
 list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake")
-if(${CMAKE_VERSION} VERSION_LESS "3.16.0")
-  # use backported module from 3.15 (introduced 3.12) to support older versions of cmake
+if ((${CMAKE_VERSION} VERSION_GREATER_EQUAL "3.7.0") AND (${CMAKE_VERSION} VERSION_LESS "3.16.0"))
+  # use backported module from 3.15 (introduced 3.12) to support older versions of cmake.
+  # this only works with cmake 3.7 or higher.
   list(APPEND CMAKE_MODULE_PATH "${PROJECT_SOURCE_DIR}/cmake/python-backport")
 endif()
 
@@ -33,6 +34,7 @@
 option(BUILD_DEBUG "Build support for runtime debugging" OFF)
 option(PRECOMPILE_SYSTEM_HH "Precompile system.hh" ON)
 
+option(USE_GPGME "Build with support for encrypted journals" OFF)
 option(BUILD_LIBRARY "Build and install Ledger as a library" ON)
 option(BUILD_DOCS "Build and install documentation" OFF)
 option(BUILD_WEB_DOCS "Build version of documentation suitable for viewing online" OFF)
@@ -67,9 +69,14 @@
 
   find_package(Python COMPONENTS Interpreter Development)
   if (PYTHON_FOUND)
-    set(BOOST_PYTHON "python${Python_VERSION_MAJOR}${Python_VERSION_MINOR}")
-    set(HAVE_BOOST_PYTHON 1)
-    include_directories(SYSTEM ${Python_INCLUDE_DIRS})
+    if (${Python_VERSION_MAJOR} VERSION_GREATER_EQUAL "3")
+      set(BOOST_PYTHON "python${Python_VERSION_MAJOR}${Python_VERSION_MINOR}")
+      set(HAVE_BOOST_PYTHON 1)
+      include_directories(SYSTEM ${Python_INCLUDE_DIRS})
+    else()
+      set(HAVE_BOOST_PYTHON 0)
+      message("Ledger requires Python >= 3.x")
+    endif()
   else()
     set(HAVE_BOOST_PYTHON 0)
     message("Could not find a Python library to use with Boost.Python")
@@ -81,10 +88,26 @@
 # Set BOOST_ROOT to help CMake to find the right Boost version
 find_package(Boost 1.49.0
   REQUIRED date_time filesystem system iostreams regex unit_test_framework
-  ${BOOST_PYTHON})
+  ${BOOST_PYTHON} OPTIONAL_COMPONENTS nowide)
+
+# enable Boost::nowide library (for UTF8 command line args on Windows)
+set(HAVE_BOOST_NOWIDE 0)
+if (Boost_NOWIDE_FOUND)
+  set(HAVE_BOOST_NOWIDE 1)
+endif()
 
 include_directories(SYSTEM ${Boost_INCLUDE_DIRS})
 link_directories(${Boost_LIBRARY_DIRS})
+
+# Crypto
+if (USE_GPGME)
+  find_package(Gpgmepp REQUIRED)
+  set(HAVE_GPGME 1)
+  include_directories(SYSTEM ${Gpgmepp_INCLUDE_DIRS})
+  link_directories(${Gpgmepp_LIBRARY_DIRS})
+else()
+  set(HAVE_GPGME 0)
+endif()
 
 ########################################################################
 
@@ -256,8 +279,11 @@
   if (HAVE_GETTEXT)
     target_link_libraries(${_target} ${INTL_LIB})
   endif()
+  if (HAVE_GPGME)
+    target_link_libraries(${_target} Gpgmepp)
+  endif()
   if (HAVE_BOOST_PYTHON)
-    if(CMAKE_SYSTEM_NAME STREQUAL Darwin)
+    if (CMAKE_SYSTEM_NAME STREQUAL Darwin)
       # Don't link directly to a Python framework on macOS, to avoid segfaults
       # when the module is imported from a different interpreter
       target_link_libraries(${_target} ${Boost_LIBRARIES})
@@ -296,7 +322,7 @@
   ${PROJECT_SOURCE_DIR}/src/system.hh.in
   ${PROJECT_BINARY_DIR}/system.hh)
 
-if(CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
+if (CMAKE_CXX_COMPILER_ID STREQUAL "Clang")
   set(CMAKE_INCLUDE_SYSTEM_FLAG_CXX "-isystem ")
 endif()
