=== debian/changelog ===
ledger (3.3.0-4) unstable; urgency=medium

  * Bug fix: "FTBFS: dh_install: error: missing files, aborting", thanks
    to Lucas Nussbaum (Closes: #1042175).

 -- David Bremner <bremner@debian.org>  Thu, 27 Jul 2023 07:50:21 -0300

ledger (3.3.0-3) unstable; urgency=medium

  * Bug fix: "Valid transaction: Error: Divide by zero", thanks to Martin
    Michlmayr (Closes: #1033552). Cherry-pick upstream commit 49cf332.

 -- David Bremner <bremner@debian.org>  Tue, 28 Mar 2023 08:05:17 -0300

ledger (3.3.0-2) unstable; urgency=medium

  * Bug fix: "Ledger 3.3.0 regression: specifying format for commodity",
    thanks to Martin Michlmayr (Closes: #1032292). Cherry-pick upstream
    commit 87b6a1e.

 -- David Bremner <bremner@debian.org>  Sat, 04 Mar 2023 15:32:33 -0800

ledger (3.3.0-1) unstable; urgency=medium

  * Bug fix: "New upstream release: 3.3.0", thanks to Martin Michlmayr
    (Closes: #1031501).

 -- David Bremner <bremner@debian.org>  Fri, 17 Feb 2023 09:58:07 -0400

ledger (3.2.1-8) unstable; urgency=medium

  * Bug fix: "depends on obsolete pcre3 library", thanks to Matthew Vernon
    (Closes: #1000109).

 -- David Bremner <bremner@debian.org>  Thu, 02 Dec 2021 09:30:08 -0400
