## ledger 3.3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 
 set(Ledger_VERSION_MAJOR 3)
 set(Ledger_VERSION_MINOR 3)
-set(Ledger_VERSION_PATCH 0)
+set(Ledger_VERSION_PATCH 2)
 set(Ledger_VERSION_PRERELEASE "")
-set(Ledger_VERSION_DATE  20230208)
+set(Ledger_VERSION_DATE  20230330)
 
 set(Ledger_TEST_TIMEZONE "America/Chicago")
 
@@ -20,7 +20,10 @@
 
 enable_testing()
 
-add_definitions(-std=c++11)
+add_definitions(
+  -std=c++11
+  -DBOOST_FILESYSTEM_NO_DEPRECATED
+)
 if (CYGWIN)
   add_definitions(-U__STRICT_ANSI__)
 endif()
