=== debian/changelog ===
ledger (3.3.2-1build6) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:27:54 +0200

ledger (3.3.2-1build5) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 11:56:26 +0100

ledger (3.3.2-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:46:48 +1100

ledger (3.3.2-1build3) noble; urgency=medium

  * No-change rebuild for python3.12 t64.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Mar 2024 21:10:50 +0100

ledger (3.3.2-1build2) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:50:39 +0000

ledger (3.3.2-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 10:27:02 +0100

ledger (3.3.2-1) unstable; urgency=medium

  * Update to new upstream version 3.3.2.

 -- David Bremner <bremner@debian.org>  Mon, 11 Dec 2023 07:33:03 -0400
