=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: ledger
 Section: utils
 Priority: optional
-Maintainer: David Bremner <bremner@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: David Bremner <bremner@debian.org>
 Uploaders: Matt Palmer <mpalmer@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
@@ -17,7 +18,7 @@
                libgmp3-dev,
                libmpfr-dev,
                libofx-dev,
-               libpcre3-dev,
+               libpcre2-dev,
                libutfcpp-dev,
                man2html-base,
                python3-dev,
